path: /build/build/gitea-www-apps-1.25.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - wget -O /usr/bin/pnpm https://github.com/pnpm/pnpm/releases/download/v10.26.1/pnpm-linuxstatic-x64
    && chmod a+x /usr/bin/pnpm
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-apps/gitea -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps www-apps/gitea
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gitea && luet-portage --dir /pkgdir/gitea
    www-apps/gitea && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - setcap cap_net_bind_service+ep /pkgdir/gitea/usr/bin/gitea
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:073f1d2a3ceb04c89b31a6c791d7ef20044e814f49d852693da627550f572690
  package:
    name: gitea
    version: 1.25.3
    category: www-apps
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A painless self-hosted Git service
    uri:
    - https://gitea.com https://github.com/go-gitea/gitea
    license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
    buildtimestamp: 2025-12-29 00:57:23.574470067 +0000 UTC m=+1954.815199381
    labels:
      BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
      DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: systemd +filecaps
      RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
      emerge.packages: www-apps/gitea
      kit: net-kit
      original.package.name: www-apps/gitea
      original.package.slot: "0"
      original.package.version: 1.25.3
    treedir: /build/packages
  package_dir: /pkgdir/gitea
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6f80a3438ff34e27bbcf903aa114c988031d6bade44ec7957b88f7183edd754f
compressiontype: zstd
files:
- etc/conf.d/gitea
- etc/gitea/app.ini
- etc/init.d/gitea
- usr/bin/gitea
- usr/lib/tmpfiles.d/gitea.conf
- usr/share/doc/gitea-1.25.3/CHANGELOG.md.bz2
- usr/share/doc/gitea-1.25.3/CONTRIBUTING.md.bz2
- usr/share/doc/gitea-1.25.3/README.md.bz2
- usr/share/doc/gitea-1.25.3/app.example.ini.bz2
- var/db/pkg/www-apps/gitea-1.25.3/BDEPEND
- var/db/pkg/www-apps/gitea-1.25.3/BUILD_TIME
- var/db/pkg/www-apps/gitea-1.25.3/CATEGORY
- var/db/pkg/www-apps/gitea-1.25.3/CBUILD
- var/db/pkg/www-apps/gitea-1.25.3/CFLAGS
- var/db/pkg/www-apps/gitea-1.25.3/CHOST
- var/db/pkg/www-apps/gitea-1.25.3/CONTENTS
- var/db/pkg/www-apps/gitea-1.25.3/COUNTER
- var/db/pkg/www-apps/gitea-1.25.3/CTARGET
- var/db/pkg/www-apps/gitea-1.25.3/CXX
- var/db/pkg/www-apps/gitea-1.25.3/CXXFLAGS
- var/db/pkg/www-apps/gitea-1.25.3/DEFINED_PHASES
- var/db/pkg/www-apps/gitea-1.25.3/DEPEND
- var/db/pkg/www-apps/gitea-1.25.3/DESCRIPTION
- var/db/pkg/www-apps/gitea-1.25.3/EAPI
- var/db/pkg/www-apps/gitea-1.25.3/FEATURES
- var/db/pkg/www-apps/gitea-1.25.3/HOMEPAGE
- var/db/pkg/www-apps/gitea-1.25.3/INHERITED
- var/db/pkg/www-apps/gitea-1.25.3/IUSE
- var/db/pkg/www-apps/gitea-1.25.3/IUSE_EFFECTIVE
- var/db/pkg/www-apps/gitea-1.25.3/KEYWORDS
- var/db/pkg/www-apps/gitea-1.25.3/LDFLAGS
- var/db/pkg/www-apps/gitea-1.25.3/LICENSE
- var/db/pkg/www-apps/gitea-1.25.3/NEEDED
- var/db/pkg/www-apps/gitea-1.25.3/NEEDED.ELF.2
- var/db/pkg/www-apps/gitea-1.25.3/PF
- var/db/pkg/www-apps/gitea-1.25.3/RDEPEND
- var/db/pkg/www-apps/gitea-1.25.3/REQUIRES
- var/db/pkg/www-apps/gitea-1.25.3/RESTRICT
- var/db/pkg/www-apps/gitea-1.25.3/SIZE
- var/db/pkg/www-apps/gitea-1.25.3/SLOT
- var/db/pkg/www-apps/gitea-1.25.3/USE
- var/db/pkg/www-apps/gitea-1.25.3/environment.bz2
- var/db/pkg/www-apps/gitea-1.25.3/gitea-1.25.3.ebuild
- var/db/pkg/www-apps/gitea-1.25.3/repository
- var/lib/gitea/.keep_www-apps_gitea-0
- var/lib/gitea/custom/.keep_www-apps_gitea-0
- var/lib/gitea/data/.keep_www-apps_gitea-0
- var/log/gitea/.keep_www-apps_gitea-0
package_cacheimage: ""
runtime:
  name: gitea
  version: 1.25.3
  category: www-apps
  use_flags:
  - filecaps
  requires:
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A painless self-hosted Git service
  uri:
  - https://gitea.com https://github.com/go-gitea/gitea
  license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
  labels:
    BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig
    DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: systemd +filecaps
    RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
    emerge.packages: www-apps/gitea
    kit: net-kit
    original.package.name: www-apps/gitea
    original.package.slot: "0"
    original.package.version: 1.25.3
